{
  "exclude": [
    "[*.Tests]*",
    "[*]*.Migrations.*",
    "[*]*.Designer",
    "[*]*.g.cs",
    "[*]*.Generated.*"
  ],
  "excludebyfile": [
    "**/Migrations/**/*.cs",
    "**/*.g.cs",
    "**/*.Designer.cs",
    "**/*AssemblyInfo.cs"
  ],
  "excludebyattribute": [
    "Obsolete",
    "GeneratedCodeAttribute",
    "CompilerGeneratedAttribute",
    "ExcludeFromCodeCoverage",
    "ExcludeFromCodeCoverageAttribute"
  ],
  "threshold": 80,
  "thresholdType": "line,branch,method",
  "thresholdStat": "total"
}
